%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-servlet-3.1-api
Version:          1.0.0
Release:          1%{dist}
Summary:          Java Servlet 3.1 API
License:          (CDDL or GPLv2 with exceptions) and ASL 2.0
Url:              http://www.jboss.org
Source0:          https://github.com/jboss/jboss-servlet-api_spec/archive/jboss-servlet-api_3.1_spec-%{namedversion}.tar.gz
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:          http://repository.jboss.org/licenses/cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:        noarch

%description
The Java Servlet 3.1 API classes.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-servlet-api_spec-jboss-servlet-api_3.1_spec-%{namedversion}

cp %{SOURCE1} .
cp %{SOURCE2} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE cddl.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE cddl.txt LICENSE-2.0.txt

%changelog
* Wed Jun 01 2016 gil cattaneo <puntogil@libero.it> 1.0.0-1
- update to 1.0.0.Final
- fix BR list and use BR mvn()-like
- introduce license macro
- remove some rpmlint problems
- remove duplicate files

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.6.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.5.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Beta1
- Upstream release 1.0.0.Beta1

* Fri May 31 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha1
- Initial packaging

